//-----------------------------------------------------------------------------------------------
// Basic Text-rendering Vertex shader
//
#version 140


//-----------------------------------------------------------------------------------------------
uniform mat4 u_worldToClipTransform;
uniform mat4 u_objectToWorldTransform;


//-----------------------------------------------------------------------------------------------
in vec3 a_position;
in vec4 a_color;
in vec2 a_texCoords;
in float a_stringFraction;
in float a_charIndex;
in float a_cellHeight;


//-----------------------------------------------------------------------------------------------
out vec4 v_surfaceColor;
out vec2 v_texCoords;
out float v_stringFraction;
out float v_charIndex;
out float v_cellHeight;


//-----------------------------------------------------------------------------------------------
void main()
{
	v_surfaceColor = a_color;
	v_texCoords = a_texCoords;
	v_stringFraction = a_stringFraction;
	v_charIndex = a_charIndex;
	v_cellHeight = a_cellHeight;

	vec4 worldPosition = u_objectToWorldTransform * vec4( a_position, 1.0 );
	gl_Position = u_worldToClipTransform * worldPosition;
}

